Bug 77531 - PATCH: update of fakeroot
Summary: PATCH: update of fakeroot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-14 21:50 UTC by Meno Abels
Modified: 2005-02-16 21:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.07 KB, patch)
2005-02-14 21:50 UTC, Meno Abels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Meno Abels 2005-02-14 21:50:17 UTC
	Fakeroot download url was not reachable any more.

Fix: remove the following files:
files/patch-communicate.h 
files/patch-doc.Makefile 
files/patch-fakeroot 
files/patch-libfakeroot.c 
	patch the rest:
cvs diff: Diffing security/fakeroot
How-To-Repeat: 	make in ports directory
Comment 1 Volker Stolz freebsd_committer 2005-02-15 10:03:19 UTC
State Changed
From-To: open->feedback

Do you need the .la-file? This can be avoided by setting 
USE_LIBTOOL_VER=15. 


Comment 2 Volker Stolz freebsd_committer 2005-02-15 10:03:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

Handle
Comment 3 Volker Stolz freebsd_committer 2005-02-15 10:34:00 UTC
State Changed
From-To: feedback->closed

Committed with modifications as discussed, thanks! 
(On future updates you might want to set the class to 'maintainer-update' 
and have something like '[maintainer]' in the subject of the PR because 
we tend to handle those faster)
Comment 4 Meno Abels 2005-02-16 21:42:03 UTC
Now I handle the missing fr faked.1 but the solution isn't nice, I will 
ask the author
why it is missing. But i think it is not translated. So it will missing 
for long.
Here is the patch

Thanks

meno

cvs diff: Diffing security/fakeroot
Index: security/fakeroot/Makefile
===================================================================
RCS file: /usr/freebsd.cvs/ports/security/fakeroot/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- security/fakeroot/Makefile  15 Feb 2005 10:33:53 -0000      1.2
+++ security/fakeroot/Makefile  16 Feb 2005 21:30:20 -0000
@@ -20,6 +20,16 @@
  CONFIGURE_TARGET=      --build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
  WRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}

+# There is a problem with the fr manpage.
+# The faked.1 is missing so we handle
+# this in pkg-plist it's not nice but better
+# then nothing
+# Also the fakeroot.1 of the fr language isn't
+# compressed.
+MANLANG=       "" es sv
  MAN1=          faked.1 fakeroot.1

+
+USE_LIBTOOL_VER=15
+
  .include <bsd.port.mk>
Index: security/fakeroot/pkg-plist
===================================================================
RCS file: /usr/freebsd.cvs/ports/security/fakeroot/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- security/fakeroot/pkg-plist 15 Feb 2005 10:33:53 -0000      1.2
+++ security/fakeroot/pkg-plist 16 Feb 2005 21:27:08 -0000
@@ -3,3 +3,6 @@
  lib/libfakeroot.so.0
  lib/libfakeroot.so
  lib/libfakeroot.a
+@unexec rm %D/man/fr/man1/fakeroot.1 2>/dev/null || true
+@unexec rmdir %D/man/fr/man1 2>/dev/null || true
+@unexec rmdir %D/man/fr 2>/dev/null || true
cvs diff: Diffing security/fakeroot/files